Skip to Content
avatar image
Former Member

Updating CE 7.11 to SP3 fails with ceupdatemanager

All,

I'm trying to apply patch SPS 3 on my CE 7.11 EHP 1 system, but it fails in ceupdatemanager. This is a manual update becuase there is a dependency betweem MII 12.1 and CE 7.11 EHP 1 SPS 3; and if I were to execute an automatic update, then SPS 4 would be the target - I don't want that. This is the following message from ceupdatemanager:

"Could not create deployment queue in JSPM. Support package stacke /usr/sap/trans/EPS/in/SPSTab.xml was rejected. For details see scan inbox log in current JSPM log directory...."

After reviewing the SCAN_INBOX_01.log file, the only error message I can find is the following:

" Apr 14, 2010 5:32:57 AM [Error]: File /usr/sap/trans/EPS/in/XICNTSAPBASIS03_0-10005649.ZIP is not a valid SDU file. Stack definition file /usr/sap/trans/EPS/in/SPSTab.xml is rejected.

Apr 14, 2010 5:32:57 AM [Error]: com.sap.sl.util.sduread.api.IllFormattedSduFileException: The information about the development component found in the manifest is either missing or incomplete!

Manifest attributes are missing or have badly formatted value:

attribute keylocation is missing

attribute keyname is missing

attribute keyvendor is missing

attribute keycounter is missing

(/usr/sap/trans/EPS/in/XICNTSAPBASIS03_0-10005649.ZIP)

Apr 14, 2010 5:32:57 AM [Error]: File /usr/sap/trans/EPS/in/XICNTSAPBASIS03_0-10005649.ZIP is not a valid SDA or SCA file.

Apr 14, 2010 5:32:57 AM [Error]: Stack definition file /usr/sap/trans/EPS/in/SPSTab.xml is rejected. Download a new version on SAP Service Marketplace and try again."

I've tried regenerating the SPSTab.xml file several times in SMP, but I keep getting the same error message. The Kernel and CEUPDATE both get updated successfully. The error comes in Phase 3, were the system update occurrs.

Any suggestions?

Jose

Add comment
10|10000 characters needed characters exceeded

  • Follow
  • Get RSS Feed

1 Answer

  • avatar image
    Former Member
    Apr 14, 2010 at 06:37 PM

    The issue had to do with the Usage Types in the SPSTab.xml file. The component that was erroring out did not apply to my installation, which is why it was erroring out (my understanding).

    Jose

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      Hi Jose,

      I have a similar problem while trying to install SP3 ontoe CE7.11 before MII 12.1 can be installed.

      I get the 'Could not create deployment queue in JSPM' error in CEUpdateManager also, but my error appears to be around duplicate versions of components. Here's the log:

      The execution of a command has failed Error message: Could not create deployment queue in JSPM. Multiple applicable components are available. ErrorOnMultiple flag is active. Applicable components with duplicated versions are: ENGINEAPI/sap.com, SERVERCORE/sap.com, SERVERCORE/sap.com, SERVERCORE/sap.com, SERVERCORE/sap.com, SERVERCORE/sap.com, SERVERCORE/sap.com, J2EE-FRMW/sap.com, J2EE-FRMW/sap.com, J2EE-FRMW/sap.com, J2EE-FRMW/sap.com. JSPM version is 7.11.1.0.24. Current JSPM log directory is S:\usr\sap\CAR\J00\j2ee\JSPM\log\log_2010_10_01_12_00_20.

      I can't see anything on OSS about this. Can you please help?

      Thanks,.

      Arwel.